import { ArmPatternKnotMatrixI, ArmPatternMatrixI } from '../interfaces/matrix/armPatternMatrix';
import { ArmPatternI, consumableArmCharsT } from '../interfaces/matrix/armPattern';
import { Style } from '../../text/style';
export declare class ArmPatternKnotMatrix implements ArmPatternKnotMatrixI {
    firstLine: ArmPatternI;
    otherLine: ArmPatternI;
    lastLine: ArmPatternI;
    constructor(firstLine: ArmPatternI, otherLine: ArmPatternI, lastLine: ArmPatternI);
    static fromChars(firstChars: consumableArmCharsT, otherChars: consumableArmCharsT, lastChars: consumableArmCharsT, style?: Style): ArmPatternKnotMatrix;
}
declare type consumableArmCharsArrayT = [consumableArmCharsT, consumableArmCharsT, consumableArmCharsT, consumableArmCharsT, consumableArmCharsT, consumableArmCharsT, consumableArmCharsT, consumableArmCharsT, consumableArmCharsT, consumableArmCharsT, consumableArmCharsT, consumableArmCharsT, consumableArmCharsT, consumableArmCharsT, consumableArmCharsT];
export declare class ArmPatternMatrix implements ArmPatternMatrixI {
    infertileLeaf: ArmPatternKnotMatrixI;
    fertileLeaf: ArmPatternKnotMatrixI;
    firstChild: ArmPatternKnotMatrixI;
    otherChild: ArmPatternKnotMatrixI;
    lastChild: ArmPatternKnotMatrixI;
    constructor(infertileLeaf: ArmPatternKnotMatrixI, fertileLeaf: ArmPatternKnotMatrixI, firstChild: ArmPatternKnotMatrixI, otherChild: ArmPatternKnotMatrixI, lastChild: ArmPatternKnotMatrixI);
    static fromArray(array: consumableArmCharsArrayT, style?: Style): ArmPatternMatrix;
    static fromCommonChars(otherChildFirstLine: consumableArmCharsT, spacer: consumableArmCharsT, lastChildFirstLine: consumableArmCharsT, style?: Style): ArmPatternMatrix;
}
export {};
//# sourceMappingURL=armPatternMatrix.d.ts.map