"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class ArmGeneratorChainElement {
    constructor(armGenerator, armWidthGenerator, parameters) {
        this.armGenerator = armGenerator;
        this.armWidthGenerator = armWidthGenerator;
        this.parameters = parameters;
    }
    generateArm() {
        const armWidth = this.armWidthGenerator.generateArmWidth(this.parameters);
        const arm = this.armGenerator.generateArm(this.parameters, armWidth);
        return arm;
    }
}
exports.ArmGeneratorChainElement = ArmGeneratorChainElement;
class ArmGeneratorChain {
    constructor(elements) {
        this.elements = elements;
    }
    generateArmChain() {
        const chain = this.elements.map((element) => {
            return element.generateArm();
        });
        return chain;
    }
}
exports.ArmGeneratorChain = ArmGeneratorChain;
//# sourceMappingURL=armGeneratorChain.js.map