"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const nodeType_1 = require("./interfaces/nodeType");
const textContainer_1 = require("../text/textContainer");
const strictUnicode_1 = require("../text/strictUnicode");
const defaultThemeOld_1 = require("./defaultThemeOld");
exports.iconDictionary = {
    [nodeType_1.NodeBroadTypeEnum.Dead]: {
        [nodeType_1.DeadNodeFineTypeEnum.CircularReference]: new textContainer_1.AtomicTextContainer(new strictUnicode_1.StrictUnicodeLine('>∞<'), defaultThemeOld_1.theme.style.icon),
        [nodeType_1.DeadNodeFineTypeEnum.Elipsis]: new textContainer_1.AtomicTextContainer(new strictUnicode_1.StrictUnicodeLine('...'), defaultThemeOld_1.theme.style.icon),
    },
    [nodeType_1.NodeBroadTypeEnum.Single]: {
        [nodeType_1.SingleNodeFineTypeEnum.BigInt]: new textContainer_1.AtomicTextContainer(new strictUnicode_1.StrictUnicodeLine('<I>'), defaultThemeOld_1.theme.style.icon),
        [nodeType_1.SingleNodeFineTypeEnum.Boolean]: new textContainer_1.AtomicTextContainer(new strictUnicode_1.StrictUnicodeLine('<B>'), defaultThemeOld_1.theme.style.icon),
        [nodeType_1.SingleNodeFineTypeEnum.BooleanObject]: new textContainer_1.AtomicTextContainer(new strictUnicode_1.StrictUnicodeLine('{B}'), defaultThemeOld_1.theme.style.icon),
        [nodeType_1.SingleNodeFineTypeEnum.Date]: new textContainer_1.AtomicTextContainer(new strictUnicode_1.StrictUnicodeLine('<D>'), defaultThemeOld_1.theme.style.icon),
        [nodeType_1.SingleNodeFineTypeEnum.Function]: new textContainer_1.AtomicTextContainer(new strictUnicode_1.StrictUnicodeLine('<F>'), defaultThemeOld_1.theme.style.icon),
        [nodeType_1.SingleNodeFineTypeEnum.Null]: new textContainer_1.AtomicTextContainer(new strictUnicode_1.StrictUnicodeLine('<X>'), defaultThemeOld_1.theme.style.icon),
        [nodeType_1.SingleNodeFineTypeEnum.Number]: new textContainer_1.AtomicTextContainer(new strictUnicode_1.StrictUnicodeLine('<N>'), defaultThemeOld_1.theme.style.icon),
        [nodeType_1.SingleNodeFineTypeEnum.NumberObject]: new textContainer_1.AtomicTextContainer(new strictUnicode_1.StrictUnicodeLine('{N}'), defaultThemeOld_1.theme.style.icon),
        [nodeType_1.SingleNodeFineTypeEnum.String]: new textContainer_1.AtomicTextContainer(new strictUnicode_1.StrictUnicodeLine('<T>'), defaultThemeOld_1.theme.style.icon),
        [nodeType_1.SingleNodeFineTypeEnum.StringObject]: new textContainer_1.AtomicTextContainer(new strictUnicode_1.StrictUnicodeLine('{T}'), defaultThemeOld_1.theme.style.icon),
        [nodeType_1.SingleNodeFineTypeEnum.Symbol]: new textContainer_1.AtomicTextContainer(new strictUnicode_1.StrictUnicodeLine('<S>'), defaultThemeOld_1.theme.style.icon),
        [nodeType_1.SingleNodeFineTypeEnum.Undefined]: new textContainer_1.AtomicTextContainer(new strictUnicode_1.StrictUnicodeLine('< >'), defaultThemeOld_1.theme.style.icon),
        [nodeType_1.SingleNodeFineTypeEnum.Unknown]: new textContainer_1.AtomicTextContainer(new strictUnicode_1.StrictUnicodeLine('<?>'), defaultThemeOld_1.theme.style.icon),
        [nodeType_1.SingleNodeFineTypeEnum.WeakMap]: new textContainer_1.AtomicTextContainer(new strictUnicode_1.StrictUnicodeLine('(M)'), defaultThemeOld_1.theme.style.icon),
        [nodeType_1.SingleNodeFineTypeEnum.WeakSet]: new textContainer_1.AtomicTextContainer(new strictUnicode_1.StrictUnicodeLine('(S)'), defaultThemeOld_1.theme.style.icon),
    },
    [nodeType_1.NodeBroadTypeEnum.Enumerable]: {
        [nodeType_1.EnumerableNodeFineTypeEnum.Map]: new textContainer_1.AtomicTextContainer(new strictUnicode_1.StrictUnicodeLine('{M}'), defaultThemeOld_1.theme.style.icon),
        [nodeType_1.EnumerableNodeFineTypeEnum.Object]: new textContainer_1.AtomicTextContainer(new strictUnicode_1.StrictUnicodeLine('{ }'), defaultThemeOld_1.theme.style.icon),
        [nodeType_1.EnumerableNodeFineTypeEnum.Error]: new textContainer_1.AtomicTextContainer(new strictUnicode_1.StrictUnicodeLine('{E}'), defaultThemeOld_1.theme.style.icon),
        [nodeType_1.EnumerableNodeFineTypeEnum.Unknown]: new textContainer_1.AtomicTextContainer(new strictUnicode_1.StrictUnicodeLine('{?}'), defaultThemeOld_1.theme.style.icon),
    },
    [nodeType_1.NodeBroadTypeEnum.Iterable]: {
        [nodeType_1.IterableNodeFineTypeEnum.Array]: new textContainer_1.AtomicTextContainer(new strictUnicode_1.StrictUnicodeLine('[ ]'), defaultThemeOld_1.theme.style.icon),
        [nodeType_1.IterableNodeFineTypeEnum.Iterable]: new textContainer_1.AtomicTextContainer(new strictUnicode_1.StrictUnicodeLine(']I['), defaultThemeOld_1.theme.style.icon),
        [nodeType_1.IterableNodeFineTypeEnum.Set]: new textContainer_1.AtomicTextContainer(new strictUnicode_1.StrictUnicodeLine('[S]'), defaultThemeOld_1.theme.style.icon),
        [nodeType_1.IterableNodeFineTypeEnum.TypedArray]: new textContainer_1.AtomicTextContainer(new strictUnicode_1.StrictUnicodeLine('[T]'), defaultThemeOld_1.theme.style.icon),
        [nodeType_1.IterableNodeFineTypeEnum.Unknown]: new textContainer_1.AtomicTextContainer(new strictUnicode_1.StrictUnicodeLine('[?]'), defaultThemeOld_1.theme.style.icon),
    },
};
//# sourceMappingURL=defaultFullIconsetOld.js.map