import { Renderer } from '../../text/renderer/abstract/renderer';
import { StrictUnicodeChar, StrictUnicodeLine, StrictUnicodeText } from '../../text/strictUnicode';
import { themeT } from './theme';
export declare type logLineCallbackT = (line: string, trailingEol: string) => void;
export declare type buildMetaTreeSettingsT = {
    maxLevel: number;
    maxItemsPerLevel: number[] | number;
    maxLineWidth: number;
};
export declare type stringifyTreeSettingsT = buildMetaTreeSettingsT & {
    renderer: Renderer;
};
export declare type printTreeSettingsT = stringifyTreeSettingsT & {
    logLineCallback: logLineCallbackT;
};
export declare type oneshotStringifyTreeSettingsT = stringifyTreeSettingsT & {
    themeStack: themeT[];
};
export declare type oneshotPrintTreeSettingsT = printTreeSettingsT & {
    themeStack: themeT[];
};
export declare type buildMetaTreeOptionsT = Partial<buildMetaTreeSettingsT>;
export declare type stringifyTreeOptionsT = Partial<stringifyTreeSettingsT>;
export declare type printTreeOptionsT = Partial<printTreeSettingsT>;
export declare type oneshotStringifyTreeOptionsT = Partial<oneshotStringifyTreeSettingsT>;
export declare type oneshotPrintTreeOptionsT = Partial<oneshotPrintTreeSettingsT>;
export declare type consumableCharT = string | StrictUnicodeChar;
export declare type consumableLineT = string | StrictUnicodeLine;
export declare type consumableTextT = string | StrictUnicodeText;
export declare type consumableIconCharsT = string | [consumableCharT, consumableCharT, consumableCharT];
//# sourceMappingURL=general.d.ts.map