import { NodeBroadTypeEnum, nodeTypeTupleT } from './nodeType';
export declare type nodeDescriptionKeyT = string | number | bigint | object | undefined;
declare type deadNodeDescriptionT = {
    typeTuple: nodeTypeTupleT<NodeBroadTypeEnum.Dead>;
    key?: nodeDescriptionKeyT;
    info?: string | undefined;
    remark?: string | undefined;
};
declare type singleNodeDescriptionT = {
    typeTuple: nodeTypeTupleT<NodeBroadTypeEnum.Single>;
    key: nodeDescriptionKeyT;
    value: string;
    info?: string | undefined;
    remark?: string | undefined;
};
declare type enumerableNodeDescriptionT = {
    typeTuple: nodeTypeTupleT<NodeBroadTypeEnum.Enumerable>;
    key: nodeDescriptionKeyT;
    value: string;
    subEntries: nodeDescriptionT[];
    info?: string | undefined;
    remark?: string | undefined;
};
declare type iterableNodeDescriptionT = {
    typeTuple: nodeTypeTupleT<NodeBroadTypeEnum.Iterable>;
    key: nodeDescriptionKeyT;
    value: string;
    subEntries: nodeDescriptionT[];
    info?: string | undefined;
    remark?: string | undefined;
};
export declare type nodeDescriptionT<TNodeBroadTypeEnum extends NodeBroadTypeEnum = NodeBroadTypeEnum> = TNodeBroadTypeEnum extends NodeBroadTypeEnum.Dead ? deadNodeDescriptionT : TNodeBroadTypeEnum extends NodeBroadTypeEnum.Single ? singleNodeDescriptionT : TNodeBroadTypeEnum extends NodeBroadTypeEnum.Enumerable ? enumerableNodeDescriptionT : TNodeBroadTypeEnum extends NodeBroadTypeEnum.Iterable ? iterableNodeDescriptionT : never;
export declare type nodeDescriptionTemplateT<TNodeBroadTypeEnum extends NodeBroadTypeEnum = NodeBroadTypeEnum> = Partial<nodeDescriptionT<TNodeBroadTypeEnum>>;
export declare function guardNodeDescription<T extends NodeBroadTypeEnum>(broadType: T, nodeDescription: nodeDescriptionT): nodeDescription is nodeDescriptionT<T>;
export {};
//# sourceMappingURL=nodeDescription.d.ts.map