import { Style } from '../../text/style';
import { consumableArmCharsT } from '../../meta/interfaces/matrix/armPattern';
import { consumableLineT } from './general';
import { typeDependentPartialDictionaryT, typeDependentBroadOnlyPartialDictionaryT } from './typeDependentDictionary';
import { armWidthT } from '../../meta/interfaces/arm/armWidth';
export declare type nodeBasicItemThemeT = {
    visibility?: boolean;
    style?: Style;
} | undefined;
export declare type nodePredefinableItemThemeT = nodeBasicItemThemeT & {
    line?: consumableLineT;
} | undefined;
export declare type nodeSuffixedPredefinableItemThemeT = nodeBasicItemThemeT & {
    predelimiter?: nodePredefinableItemThemeT;
    prefix?: nodePredefinableItemThemeT;
    content?: nodePredefinableItemThemeT;
    postfix?: nodePredefinableItemThemeT;
    postdelimiter?: nodePredefinableItemThemeT;
} | undefined;
export declare type nodeSuffixedSemipredefinableItemThemeT = nodeBasicItemThemeT & {
    predelimiter?: nodePredefinableItemThemeT;
    prefix?: nodePredefinableItemThemeT;
    content?: nodeBasicItemThemeT;
    postfix?: nodePredefinableItemThemeT;
    postdelimiter?: nodePredefinableItemThemeT;
} | undefined;
export declare type armItemThemeT = {
    width?: armWidthT;
    commonChars?: [consumableArmCharsT, consumableArmCharsT, consumableArmCharsT];
    style?: Style;
};
export declare type nodeThemeT = nodeBasicItemThemeT & {
    arm?: armItemThemeT;
    icon?: nodeSuffixedPredefinableItemThemeT;
    key?: nodeSuffixedSemipredefinableItemThemeT;
    value?: nodeSuffixedSemipredefinableItemThemeT;
    info?: nodeSuffixedSemipredefinableItemThemeT;
    remark?: nodeSuffixedSemipredefinableItemThemeT;
};
export declare type themeT = {
    global?: nodeThemeT;
    broad?: typeDependentBroadOnlyPartialDictionaryT<nodeThemeT>;
    fine?: typeDependentPartialDictionaryT<nodeThemeT>;
};
//# sourceMappingURL=theme.d.ts.map