"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function rgbEach(rgb, callback) {
    return {
        r: callback(rgb.r, 'r'),
        g: callback(rgb.g, 'g'),
        b: callback(rgb.b, 'b'),
    };
}
function shiftLuminosity(rgb, shiftRatio) {
    return rgbEach(rgb, (value) => {
        return value + shiftRatio * 255;
    });
}
exports.shiftLuminosity = shiftLuminosity;
function gainLuminosity(rgb, factor) {
    return rgbEach(rgb, (value) => {
        return value * factor;
    });
}
exports.gainLuminosity = gainLuminosity;
function gammaCorrect(rgb, q) {
    return rgbEach(rgb, (value) => {
        return Math.pow((value / 255), 1 / q) * 255;
    });
}
exports.gammaCorrect = gammaCorrect;
function vibrance(rgb, factor) {
    const mean = (rgb.r + rgb.g + rgb.b) / 3;
    return rgbEach(rgb, (value) => {
        const diff = value - mean;
        return mean + diff * factor;
    });
}
exports.vibrance = vibrance;
//# sourceMappingURL=rgbUtils.js.map