import { StrictUnicodeLine } from '../../strictUnicode';
import { AnyTextContainer, FlatNonatomicTextContainer } from '../../textContainer';
export declare type renderResultT = {
    rendered: string;
    trailingEol: string;
};
export declare abstract class Renderer {
    abstract render(textContainer: AnyTextContainer): renderResultT;
    abstract renderFlat(flatTextContainer: FlatNonatomicTextContainer): renderResultT;
    abstract renderFlatFeedLines(flatFeedLines: FlatNonatomicTextContainer<StrictUnicodeLine>[]): renderResultT;
    abstract renderFlatFeedLine(flatFeedLineContainer: FlatNonatomicTextContainer<StrictUnicodeLine>): renderResultT;
    abstract renderFlatLine(flatLineContainer: FlatNonatomicTextContainer<StrictUnicodeLine>): renderResultT;
    abstract renderLine(flatLineContainer: AnyTextContainer<StrictUnicodeLine>): renderResultT;
    abstract eol: string;
}
//# sourceMappingURL=renderer.d.ts.map