"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const renderer_1 = require("./renderer");
class SimpleRenderer extends renderer_1.Renderer {
    render(textContainer) {
        const flat = textContainer.flatten();
        return this.renderFlat(flat);
    }
    renderFlat(flatTextContainer) {
        const flatFeedLines = flatTextContainer.splitToFlatFeedLines();
        return this.renderFlatFeedLines(flatFeedLines);
    }
    renderFlatFeedLines(flatFeedLines) {
        const rendered = flatFeedLines.map((flatFeedLine) => {
            return this.renderFlatFeedLine(flatFeedLine).rendered;
        }).join(this.eol);
        return {
            rendered,
            trailingEol: this.eol,
        };
    }
    renderFlatFeedLine(flatFeedLineContainer) {
        const rendered = this.renderFlatLine(flatFeedLineContainer).rendered;
        return {
            rendered,
            trailingEol: this.eol,
        };
    }
    renderFlatLine(flatLineContainer) {
        const rendered = flatLineContainer.children.map((child) => {
            return this.styleBegin(child.style) + this.escapeText(child.toString()) + this.styleEnd(child.style);
        }).join('');
        return {
            rendered,
            trailingEol: '',
        };
    }
    renderLine(lineContainer) {
        const flatLine = lineContainer.flatten();
        return this.renderFlat(flatLine);
    }
}
exports.SimpleRenderer = SimpleRenderer;
//# sourceMappingURL=simpleRenderer.js.map