import { FlatNonatomicTextContainer, AnyTextContainer } from '../../textContainer';
import { StrictUnicodeLine, AnyStrictUnicodeT } from '../../strictUnicode';
import { Renderer, renderResultT } from '../abstract/renderer';
declare type featuresT = {
    width: number;
    readonly env: 'terminal' | 'browser' | 'unknown';
    readonly allowStyles: boolean;
};
export declare class AutodetectRenderer extends Renderer {
    readonly eol: string;
    protected renderer: Renderer;
    readonly features: featuresT;
    constructor();
    protected detectFeatures(): featuresT;
    protected createRenderer(): Renderer;
    render(textContainer: AnyTextContainer<AnyStrictUnicodeT>): renderResultT;
    renderFlat(flatTextContainer: FlatNonatomicTextContainer<AnyStrictUnicodeT>): renderResultT;
    renderFlatFeedLines(flatFeedLines: FlatNonatomicTextContainer<StrictUnicodeLine>[]): renderResultT;
    renderFlatFeedLine(flatFeedLineContainer: FlatNonatomicTextContainer<StrictUnicodeLine>): renderResultT;
    renderFlatLine(flatLineContainer: FlatNonatomicTextContainer<StrictUnicodeLine>): renderResultT;
    renderLine(lineContainer: AnyTextContainer<StrictUnicodeLine>): renderResultT;
}
export {};
//# sourceMappingURL=autodetect.d.ts.map