export declare class NormalizedUnicodeText extends String {
    constructor(text: string | String, isSkipChecks?: boolean);
    normalize(): string;
    static isNormalizedInstance(text: string | String): boolean;
    static combine(...items: NormalizedUnicodeText[]): NormalizedUnicodeText;
}
export declare class StrictUnicodeText extends NormalizedUnicodeText {
    constructor(text: string | String, isSkipChecks?: boolean);
    protected isPrecheckedInstance(text: string | String): boolean;
    guardStringIsStrictUnicode(normalizedText: NormalizedUnicodeText): void;
    splitToFeedLines(): StrictUnicodeLine[];
    static combine(...items: StrictUnicodeText[]): StrictUnicodeText;
    managedWrap(maxWidth: number): Generator<StrictUnicodeLine, StrictUnicodeLine, number>;
}
export declare class StrictUnicodeLine extends StrictUnicodeText {
    constructor(text: string | String, isSkipChecks?: boolean);
    protected isPrecheckedInstance(text: string | String): boolean;
    guardStringIsStrictUnicode(normalizedText: NormalizedUnicodeText): void;
    protected widthCache: number | undefined;
    calcWidth(): number;
    static combine(...items: StrictUnicodeLine[]): StrictUnicodeLine;
    managedWrap(maxWidth: number): Generator<StrictUnicodeLine, StrictUnicodeLine, number>;
}
export declare class StrictUnicodeChar extends StrictUnicodeLine {
    protected isPrecheckedInstance(text: string | String): boolean;
    protected widthCache: number;
    guardStringIsStrictUnicode(normalizedText: StrictUnicodeLine): void;
    calcWidth(): number;
    static combine(...items: StrictUnicodeChar[]): StrictUnicodeLine;
}
export declare type AnyStrictUnicodeT = StrictUnicodeChar | StrictUnicodeLine | StrictUnicodeText;
//# sourceMappingURL=strictUnicode.d.ts.map